<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Thu Mar 15 23:03:53 CET 2018 -->
<title>DrawCommandHandler (JDraw API)</title>
<meta name="date" content="2018-03-15">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="DrawCommandHandler (JDraw API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../jdraw/framework/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DrawCommandHandler.html">Use</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../jdraw/framework/DrawCommand.html" title="interface in jdraw.framework"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../jdraw/framework/DrawContext.html" title="interface in jdraw.framework"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?jdraw/framework/DrawCommandHandler.html" target="_top">Frames</a></li>
<li><a href="DrawCommandHandler.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">jdraw.framework</div>
<h2 title="Interface DrawCommandHandler" class="title">Interface DrawCommandHandler</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public interface <span class="typeNameLabel">DrawCommandHandler</span></pre>
<div class="block">The interface DrawCommandHandler defines the handler which allows to
 access the command history provided by a draw model. The list of
 commands can be iterated through using methods undo and redo.</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>2.5</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Dominik Gruntz &amp; Christoph Denzler</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../jdraw/framework/DrawCommandHandler.html" title="interface in jdraw.framework"><code>DrawCommandHandler</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/DrawCommandHandler.html#addCommand-jdraw.framework.DrawCommand-">addCommand</a></span>(<a href="../../jdraw/framework/DrawCommand.html" title="interface in jdraw.framework">DrawCommand</a>&nbsp;cmd)</code>
<div class="block">Adds a new command to the command list at the current position.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/DrawCommandHandler.html#beginScript--">beginScript</a></span>()</code>
<div class="block">Opens a script.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/DrawCommandHandler.html#clearHistory--">clearHistory</a></span>()</code>
<div class="block">Clears the command list.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/DrawCommandHandler.html#endScript--">endScript</a></span>()</code>
<div class="block">Closes a script.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/DrawCommandHandler.html#redo--">redo</a></span>()</code>
<div class="block">Redoes the next command in the command list.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/DrawCommandHandler.html#redoPossible--">redoPossible</a></span>()</code>
<div class="block">Indicates whether a redo operation is possible.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/DrawCommandHandler.html#undo--">undo</a></span>()</code>
<div class="block">Undoes the last command in the command list.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/DrawCommandHandler.html#undoPossible--">undoPossible</a></span>()</code>
<div class="block">Indicates whether an undo operation is possible.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="addCommand-jdraw.framework.DrawCommand-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addCommand</h4>
<pre>void&nbsp;addCommand(<a href="../../jdraw/framework/DrawCommand.html" title="interface in jdraw.framework">DrawCommand</a>&nbsp;cmd)</pre>
<div class="block">Adds a new command to the command list at the current position. The
 added command is not executed by this method.
 Commands which were stored behind the current position are discarded.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cmd</code> - draw command which is added to command list</dd>
</dl>
</li>
</ul>
<a name="undo--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>undo</h4>
<pre>void&nbsp;undo()</pre>
<div class="block">Undoes the last command in the command list. This command can be
 redone with operation redo unless new commands are added to the
 command list.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../jdraw/framework/DrawCommandHandler.html#redo--"><code>redo()</code></a></dd>
</dl>
</li>
</ul>
<a name="redo--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>redo</h4>
<pre>void&nbsp;redo()</pre>
<div class="block">Redoes the next command in the command list.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../jdraw/framework/DrawCommandHandler.html#undo--"><code>undo()</code></a></dd>
</dl>
</li>
</ul>
<a name="undoPossible--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>undoPossible</h4>
<pre>boolean&nbsp;undoPossible()</pre>
<div class="block">Indicates whether an undo operation is possible.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>whether undo is possible</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../jdraw/framework/DrawCommandHandler.html#undo--"><code>undo()</code></a></dd>
</dl>
</li>
</ul>
<a name="redoPossible--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>redoPossible</h4>
<pre>boolean&nbsp;redoPossible()</pre>
<div class="block">Indicates whether a redo operation is possible.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>whether redo is possible</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../jdraw/framework/DrawCommandHandler.html#redo--"><code>redo()</code></a></dd>
</dl>
</li>
</ul>
<a name="beginScript--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>beginScript</h4>
<pre>void&nbsp;beginScript()</pre>
<div class="block">Opens a script. Commands added with method addCommand after a script has
 been opened are collected until endScript is called. These command are
 then combined to a macro command.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../jdraw/framework/DrawCommandHandler.html#endScript--"><code>endScript()</code></a></dd>
</dl>
</li>
</ul>
<a name="endScript--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>endScript</h4>
<pre>void&nbsp;endScript()</pre>
<div class="block">Closes a script. All commands added since the last open beginScript call
 are combined to a macro command.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../jdraw/framework/DrawCommandHandler.html#beginScript--"><code>beginScript()</code></a></dd>
</dl>
</li>
</ul>
<a name="clearHistory--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>clearHistory</h4>
<pre>void&nbsp;clearHistory()</pre>
<div class="block">Clears the command list.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../jdraw/framework/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DrawCommandHandler.html">Use</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../jdraw/framework/DrawCommand.html" title="interface in jdraw.framework"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../jdraw/framework/DrawContext.html" title="interface in jdraw.framework"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?jdraw/framework/DrawCommandHandler.html" target="_top">Frames</a></li>
<li><a href="DrawCommandHandler.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small><i>Copyright &#169; 2000-2017 D. Gruntz & Ch. Denzler, FHNW. All Rights Reserved.</i></small></p>
</body>
</html>
